require 'sinatra'
require_relative 'lib/student'

configure do
  set :students, [
    Student.new('Иван', 'Морозов', 'ПИЭ-645'),
    Student.new('Марина', 'Яровая', 'УШЕ-232')
  ]
end

get '/sometime/:when' do
  @when = params['when']
  erb :some
end 

get '/someone/:who' do
  who = params['who']
  erb :someone, locals: { who: who }
end

get '/' do # Список студентов
  @students = settings.students
  erb :list
end

get '/new' do # Добавление студента
  @student = Student.new('', '', '')
  erb :new
end

post '/new' do
  @student = Student.new(params['name'], params['surname'], params['group_name'])
  @errors = @student.check_fields
  if @errors.empty?
    settings.students.append(@student)
    redirect to('/')
  else
    erb :new
  end
end
